//
//  AppDelegate.h
//  SMB MenuExtra
//
//  Created by John Slaughter on 3/1/13.
//  Copyright (c) 2013 Engineering & Science Computing - University of Notre Dame.
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//

#import <Cocoa/Cocoa.h>

@class ConnectWindowController;
@class PrefsWindowController;
@class ClickHandlerWindowController;

@interface AppDelegate : NSObject <NSApplicationDelegate> {
    ConnectWindowController *_myConnectWindowController;
    PrefsWindowController *_myPrefsWindowController;
    ClickHandlerWindowController *_myClickHandlerWindowController;
    IBOutlet NSMenu *_statusMenu;
    NSStatusItem *_statusObject;
    NSImage *_fore_image;
    NSImage *_back_image;
}

@property (retain) ConnectWindowController *myConnectWindowController;
@property (retain) PrefsWindowController *myPrefsWindowController;
@property (retain) ClickHandlerWindowController *myClickHandlerWindowController;
@property (retain) IBOutlet NSMenu *statusMenu;
@property (retain) NSStatusItem *statusObject;
@property (retain) NSImage *fore_image;
@property (retain) NSImage *back_image;

- (IBAction)connectToSMBServer:(id)sender;
- (IBAction)openPrefs:(id)sender;
- (IBAction)mountAllSavedVolumes:(id)sender;
- (IBAction)mountAllCheckedVolumes:(id)sender;
@end
