//
//  ConnectWindowController.h
//  SMB MenuExtra
//
//  Created by John Slaughter on 3/1/13.
//  Copyright (c) 2013 Engineering & Science Computing - University of Notre Dame.
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//

#import <Cocoa/Cocoa.h>

@interface ConnectWindowController : NSWindowController {
    NSUserDefaults *_defaults;
    NSMutableArray *_arrayServers;
    IBOutlet NSTableView *_tblServers;
    
    IBOutlet NSButton *submitButton;
    IBOutlet NSButton *cancelButton;
    IBOutlet NSTextField *userID;
    IBOutlet NSTextField *password;
    IBOutlet NSButton *savePass;
    IBOutlet NSButton *autoLogin;
    IBOutlet NSTextField *serverAddress;
    IBOutlet NSProgressIndicator *progressBar;
    IBOutlet NSMatrix *protocolSelector;
    NSString *protocol;
}

// Persist current values.
@property (strong) NSUserDefaults *defaults;
@property (retain) NSMutableArray *arrayServers;
@property (strong) IBOutlet NSTableView *tblServers;

// UI Stuff.
@property (strong) IBOutlet NSButton *submitButton;
@property (strong) IBOutlet NSButton *cancelButton;
@property (strong) IBOutlet NSTextField *userID;
@property (strong) IBOutlet NSTextField *password;
@property (strong) IBOutlet NSButton *savePass;
@property (strong) IBOutlet NSButton *autoLogin;
@property (strong) IBOutlet NSTextField *serverAddress;
@property (strong) IBOutlet NSProgressIndicator *progressBar;
@property (strong) IBOutlet NSMatrix *protocolSelector;
@property (strong) NSString *protocol;



- (IBAction)closeTheWindow:(id)sender;
- (IBAction)addServerToTable:(id)sender;
- (IBAction)removeServerFromTable:(id)sender;
- (IBAction)ConnectToShare:(id)sender;
- (IBAction)mountAllSavedVolumes:(id)sender;
- (IBAction)mountAllCheckedVolumes:(id)sender;
- (IBAction)protocolChanged:(id)sender;


@end