//
//  SharedFunctions.m
//  SMB MenuExtra
//
//  Created by John Slaughter on 3/1/13.
//  Copyright (c) 2013 Engineering & Science Computing - University of Notre Dame.
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//
#import "SharedFunctions.h"


NSString *sanitizeString( NSString *theString)
{
    NSString *newString = [NSString stringWithString: theString];
    newString = [newString stringByReplacingOccurrencesOfString:@"%" withString:@"%25"];
    newString = [newString stringByReplacingOccurrencesOfString:@" " withString:@"%20"];
    newString = [newString stringByReplacingOccurrencesOfString:@"!" withString:@"%21"];
    newString = [newString stringByReplacingOccurrencesOfString:@"\"" withString:@"%22"];
    newString = [newString stringByReplacingOccurrencesOfString:@"#" withString:@"%23"];
    newString = [newString stringByReplacingOccurrencesOfString:@"$" withString:@"%24"];
    newString = [newString stringByReplacingOccurrencesOfString:@"&" withString:@"%26"];
    newString = [newString stringByReplacingOccurrencesOfString:@"'" withString:@"%27"];
    newString = [newString stringByReplacingOccurrencesOfString:@"(" withString:@"%28"];
    newString = [newString stringByReplacingOccurrencesOfString:@")" withString:@"%29"];
    newString = [newString stringByReplacingOccurrencesOfString:@"*" withString:@"%2a"];
    newString = [newString stringByReplacingOccurrencesOfString:@"@" withString:@"%40"];
    return newString;
}


NSString *removeSMBPrefix(NSString *theSMB)
{
    if ([theSMB hasPrefix:[@"smb://" lowercaseString]]) {
        return [theSMB substringFromIndex: 6];
    } else {
        return theSMB;
    }
    return theSMB;
}
